<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_g" name="index_g"></a>- g -</h3><ul>
<li>Gameplay()&#160;:&#160;<a class="el" href="classgg_1_1Gameplay.html#a328b60e39c3e42c3934fb9b8fe6c215f">gg::Gameplay</a></li>
<li>GameState()&#160;:&#160;<a class="el" href="classgg_1_1GameState.html#a5f1b188a3cb1ecb87ee511eb94bac00a">gg::GameState</a></li>
<li>Get()&#160;:&#160;<a class="el" href="classgg_1_1Attributes.html#a44e4ec4f45130e843b036c764c9effff">gg::Attributes</a></li>
<li>GetAttributes()&#160;:&#160;<a class="el" href="classgg_1_1BuildingTile.html#adb1bf688f0fa132bce941e632ea65694">gg::BuildingTile</a>, <a class="el" href="classgg_1_1RoadTile.html#a9ad4e5d521981d13a434bafe519ba647">gg::RoadTile</a>, <a class="el" href="classgg_1_1TerrainTile.html#ac5124cacde85e3abf6c873e6570a0c0d">gg::TerrainTile</a>, <a class="el" href="classgg_1_1Tile.html#a6ccfd1b779c329f0db0434c7c84fb326">gg::Tile</a>, <a class="el" href="classgg_1_1XMLDocument.html#a3fa4567a3c353ecf82c798ea6a3746c1">gg::XMLDocument</a></li>
<li>GetButtonID()&#160;:&#160;<a class="el" href="classgg_1_1SceneButtonEvent.html#aad131b159ad97cbe399d85638d880894">gg::SceneButtonEvent</a></li>
<li>GetCategory()&#160;:&#160;<a class="el" href="classgg_1_1TimePassed.html#a34cc8862e6c57cfa1434f69de5050d05">gg::TimePassed</a></li>
<li>GetChildren()&#160;:&#160;<a class="el" href="classgg_1_1SceneNode.html#a4de32c7bf5edd96622c9170bdfe68902">gg::SceneNode</a>, <a class="el" href="classgg_1_1XMLDocument.html#ab3307ad181f7c3fe01039755b6c90443">gg::XMLDocument</a></li>
<li>GetContent()&#160;:&#160;<a class="el" href="classgg_1_1XMLDocument.html#a1a399757e1e371f07154c606bed1199e">gg::XMLDocument</a></li>
<li>GetCoordinates()&#160;:&#160;<a class="el" href="classgg_1_1Tile.html#af6c613329acd85d3a7ebf194ae5fa763">gg::Tile</a></li>
<li>GetCoreLogger()&#160;:&#160;<a class="el" href="classgg_1_1Logger.html#a1223629c433581dc197046a024eefe10">gg::Logger</a></li>
<li>GetCost()&#160;:&#160;<a class="el" href="classgg_1_1BuildingTile.html#a1308da3c38bb6a81a8cd135145662b55">gg::BuildingTile</a>, <a class="el" href="classgg_1_1RoadTile.html#a512b2a92537e1479161dbf2e9855f3b3">gg::RoadTile</a></li>
<li>GetDebugLogger()&#160;:&#160;<a class="el" href="classgg_1_1Logger.html#ae1577a0a5f650e2eb2c728cc0f13e9f4">gg::Logger</a></li>
<li>GetEventType()&#160;:&#160;<a class="el" href="classgg_1_1IEvent.html#a0154647492980621230ab6cdc3b3080b">gg::IEvent</a>, <a class="el" href="classgg_1_1KeyboardEvent.html#a95443182d3146abfb2549ee1d9bdd72c">gg::KeyboardEvent</a>, <a class="el" href="classgg_1_1KeyPressedEvent.html#a59ebd4dc540d6cee0715652c0c09e868">gg::KeyPressedEvent</a>, <a class="el" href="classgg_1_1KeyReleasedEvent.html#a49587642a655c28b0c2d4042c0836e50">gg::KeyReleasedEvent</a>, <a class="el" href="classgg_1_1MouseButtonEvent.html#a58fb187fa921178ef7802684371d968a">gg::MouseButtonEvent</a>, <a class="el" href="classgg_1_1MouseButtonPressedEvent.html#a4522038356b809323f197ab59bd41c43">gg::MouseButtonPressedEvent</a>, <a class="el" href="classgg_1_1MouseButtonReleasedEvent.html#a011e39cd63718e03bd7437bbe27b6174">gg::MouseButtonReleasedEvent</a>, <a class="el" href="classgg_1_1MouseMovedEvent.html#af843b5cca9b295ba561c35fa4529ce59">gg::MouseMovedEvent</a>, <a class="el" href="classgg_1_1SceneButtonEvent.html#adade289dbb88f0a1a643c20556ad07da">gg::SceneButtonEvent</a>, <a class="el" href="classgg_1_1SceneInputEvent.html#a97c6731055d87839c902a6b0965c59bf">gg::SceneInputEvent</a>, <a class="el" href="classgg_1_1SceneToggleButtonEvent.html#a21dc1a85f71db970fdd2dee2c680ccca">gg::SceneToggleButtonEvent</a>, <a class="el" href="classgg_1_1TimePassed.html#a0083f74a21bee1347ff8addc1eac9b83">gg::TimePassed</a>, <a class="el" href="classgg_1_1WindowCloseEvent.html#a9b45e959e620747f787a7c306987834c">gg::WindowCloseEvent</a>, <a class="el" href="classgg_1_1WindowResizeEvent.html#a9efe9535c407317a826cd2c2a5e91ca7">gg::WindowResizeEvent</a></li>
<li>GetFont()&#160;:&#160;<a class="el" href="classgg_1_1FontManager.html#a0b1bf41b99c899187a3370298879fc29">gg::FontManager</a></li>
<li>GetHeight()&#160;:&#160;<a class="el" href="classgg_1_1WindowResizeEvent.html#ad442efa686639dddf22c7c3b28b5d647">gg::WindowResizeEvent</a></li>
<li>GetID()&#160;:&#160;<a class="el" href="classgg_1_1SceneNode.html#adbeb256248e14d3cca859cc769397752">gg::SceneNode</a></li>
<li>GetInitialized()&#160;:&#160;<a class="el" href="classgg_1_1StyleManager.html#aa2e51cc8944403787a6a39610981e357">gg::StyleManager</a>, <a class="el" href="classgg_1_1TextureManager.html#a4102ebacee3e49bf31dc04389be7b2cd">gg::TextureManager</a></li>
<li>GetInputContent()&#160;:&#160;<a class="el" href="classgg_1_1SceneInputEvent.html#abb336a390be1e141100b92ea6577c344">gg::SceneInputEvent</a></li>
<li>GetInputID()&#160;:&#160;<a class="el" href="classgg_1_1SceneInputEvent.html#aeda8601df5ea33ac78bab6c960f976da">gg::SceneInputEvent</a></li>
<li>GetInsidePosition()&#160;:&#160;<a class="el" href="classgg_1_1SceneNode.html#a88a3c48db58215800a8d966716b1e66d">gg::SceneNode</a></li>
<li>GetInsideSize()&#160;:&#160;<a class="el" href="classgg_1_1SceneNode.html#a29308c092ca2dac7260d5b3ad3f58569">gg::SceneNode</a></li>
<li>GetInstance()&#160;:&#160;<a class="el" href="classgg_1_1Application.html#ae39054081b8d2975337d1ff454f0524c">gg::Application</a>, <a class="el" href="classgg_1_1EventDispatcher.html#ab0f8028199ca3b02d37f642ac24e6e53">gg::EventDispatcher</a></li>
<li>GetKeycode()&#160;:&#160;<a class="el" href="classgg_1_1KeyboardEvent.html#abc64d61158c025aa2e940ddaecf04876">gg::KeyboardEvent</a>, <a class="el" href="classgg_1_1MouseButtonEvent.html#a9710a29ced43784e6ad16059801b67cf">gg::MouseButtonEvent</a></li>
<li>GetLabelByID()&#160;:&#160;<a class="el" href="classgg_1_1Scene.html#a8ad6f3a9bb7a46b029471f8842225fc8">gg::Scene</a></li>
<li>GetLibrary()&#160;:&#160;<a class="el" href="classgg_1_1Attributes.html#ad955fb8678355b77c60907fe41f754e9">gg::Attributes</a></li>
<li>GetMap()&#160;:&#160;<a class="el" href="classgg_1_1Gameplay.html#a96d1ed32909459cdea9c68ccbd110b60">gg::Gameplay</a></li>
<li>GetMousePosition()&#160;:&#160;<a class="el" href="classgg_1_1InputEngine.html#a7dfb155f26e6d3975b83f8e95760c254">gg::InputEngine</a></li>
<li>GetMouseX()&#160;:&#160;<a class="el" href="classgg_1_1MouseMovedEvent.html#ab6d219c0e27160a2881c9c9d1822a4ec">gg::MouseMovedEvent</a></li>
<li>GetMouseY()&#160;:&#160;<a class="el" href="classgg_1_1MouseMovedEvent.html#a75f1825ee66397a4a4d1aa512e68b8eb">gg::MouseMovedEvent</a></li>
<li>GetName()&#160;:&#160;<a class="el" href="classgg_1_1Scene.html#a9361fe7d1ace461d528c2ce224b74668">gg::Scene</a>, <a class="el" href="classgg_1_1SceneNode.html#a92215060ea01f924ac43bdc2e02d8495">gg::SceneNode</a>, <a class="el" href="classgg_1_1XMLDocument.html#a7acdd509f5c9417138d9a5bfc161fc5a">gg::XMLDocument</a></li>
<li>GetNode()&#160;:&#160;<a class="el" href="classgg_1_1Scene.html#a93356886f16efe8a190583faf9555ebd">gg::Scene</a></li>
<li>GetNumberOfStyles()&#160;:&#160;<a class="el" href="classgg_1_1StyleManager.html#ac3bfcf10689d8ed65187a6a1f12ac0c4">gg::StyleManager</a></li>
<li>GetNumberOfSubscribedEvents()&#160;:&#160;<a class="el" href="classgg_1_1IEventSubscriber.html#a961a23b00ee141313a4c8f7a505f3cb8">gg::IEventSubscriber</a></li>
<li>GetNumberOfTexures()&#160;:&#160;<a class="el" href="classgg_1_1TextureManager.html#a69e3c1a01bc118b339b020e7f25c4f3a">gg::TextureManager</a></li>
<li>GetOrientation()&#160;:&#160;<a class="el" href="classgg_1_1Tile.html#a3ac25ea653262607007c15e5d68f9685">gg::Tile</a></li>
<li>GetOutsidePosition()&#160;:&#160;<a class="el" href="classgg_1_1SceneNode.html#a58c816db57bb5c6a1e9e42887d07c98c">gg::SceneNode</a></li>
<li>GetOutsideSize()&#160;:&#160;<a class="el" href="classgg_1_1SceneNode.html#a368dbe4cad813f71cd710174c69cb339">gg::SceneNode</a></li>
<li>GetParent()&#160;:&#160;<a class="el" href="classgg_1_1SceneNode.html#a0776302fef90cb2f0aabd1f3045c5dd7">gg::SceneNode</a></li>
<li>getPoint()&#160;:&#160;<a class="el" href="classgg_1_1RoundedShape.html#ad7af7e34311d7f6e76a9d4a97b03aa66">gg::RoundedShape</a></li>
<li>getPointCount()&#160;:&#160;<a class="el" href="classgg_1_1RoundedShape.html#a395b81f1e646ca3c0994610f59fef338">gg::RoundedShape</a></li>
<li>GetPopulation()&#160;:&#160;<a class="el" href="classgg_1_1BuildingTile.html#a2f7b2d4315bab48a232bbfe23c0ba5d3">gg::BuildingTile</a></li>
<li>GetPosition()&#160;:&#160;<a class="el" href="classgg_1_1Scene.html#aeac07bf6e4c2f3daa87d8549f10c7c37">gg::Scene</a></li>
<li>GetProfit()&#160;:&#160;<a class="el" href="classgg_1_1BuildingTile.html#a67662dd1d7c62d5835c5120b723ba1e5">gg::BuildingTile</a></li>
<li>GetScene()&#160;:&#160;<a class="el" href="classgg_1_1SceneManager.html#a5b0cc99803bd4e4d89cc5c6f9f830c26">gg::SceneManager</a>, <a class="el" href="classgg_1_1SceneNode.html#a2a8a9bb996c1610f0cf41274bb5e8864">gg::SceneNode</a></li>
<li>GetSceneType()&#160;:&#160;<a class="el" href="classgg_1_1GameState.html#a889abdb1cbc9d27df5b6ea25dae3942b">gg::GameState</a></li>
<li>GetSelectedToggle()&#160;:&#160;<a class="el" href="classgg_1_1ToggleGroup.html#ab967976c825b747dba121b16f4747984">gg::ToggleGroup</a></li>
<li>GetSize()&#160;:&#160;<a class="el" href="classgg_1_1Scene.html#ab7a7ed13c125bed129417988730cdbfe">gg::Scene</a></li>
<li>GetStyle()&#160;:&#160;<a class="el" href="classgg_1_1StyleManager.html#aee0a3dcbe1c88029804da7692d0dcc59">gg::StyleManager</a></li>
<li>GetTerrainType()&#160;:&#160;<a class="el" href="classgg_1_1TerrainTile.html#ae34f60e6d1d82369e13f7bf772d0f9d1">gg::TerrainTile</a></li>
<li>GetTexture()&#160;:&#160;<a class="el" href="classgg_1_1TextureManager.html#a69095440a82904c5358dbfb36bd7524e">gg::TextureManager</a>, <a class="el" href="classgg_1_1Tile.html#a53d8865c694dfb8240eddce9fe1d6254">gg::Tile</a></li>
<li>GetTextureName()&#160;:&#160;<a class="el" href="classgg_1_1Tile.html#ad6b1fa9f1db1fb5aacb6bfb5f2984ad9">gg::Tile</a></li>
<li>GetTileType()&#160;:&#160;<a class="el" href="classgg_1_1BuildingTile.html#a662c2a65a476d31a4958f9c9c1a1ef18">gg::BuildingTile</a>, <a class="el" href="classgg_1_1RoadTile.html#ac2a5ee73935690e23027dd05ddc41cd9">gg::RoadTile</a>, <a class="el" href="classgg_1_1TerrainTile.html#a4197b667e2f2ee4237e0602f1658620b">gg::TerrainTile</a>, <a class="el" href="classgg_1_1Tile.html#a5df93094d59293b454a041b1fc780b51">gg::Tile</a></li>
<li>GetToggleGroup()&#160;:&#160;<a class="el" href="classgg_1_1Scene.html#a5850e4544304e6faea1677e418d3e7bc">gg::Scene</a></li>
<li>GetToggleState()&#160;:&#160;<a class="el" href="classgg_1_1SceneToggleButtonEvent.html#a9cada8e4d20814867a42d01bdb2b1085">gg::SceneToggleButtonEvent</a>, <a class="el" href="classgg_1_1ToggleButton.html#a2dd44dde47c3e07a977553da8203362b">gg::ToggleButton</a></li>
<li>GetType()&#160;:&#160;<a class="el" href="classgg_1_1RoadTile.html#a7092834f52949943206ab6f48cd813c9">gg::RoadTile</a></li>
<li>GetVertices()&#160;:&#160;<a class="el" href="classgg_1_1Tile.html#a389b4f46707f195fa2ed2e22ec221cb6">gg::Tile</a></li>
<li>GetView()&#160;:&#160;<a class="el" href="classgg_1_1Application.html#a0442ba14bb784d3a6995bfb195745034">gg::Application</a></li>
<li>GetWidth()&#160;:&#160;<a class="el" href="classgg_1_1WindowResizeEvent.html#a3bf017914fb4c39cedc951761331f17b">gg::WindowResizeEvent</a></li>
<li>GetWindow()&#160;:&#160;<a class="el" href="classgg_1_1Application.html#a5d273cb1c4976d3f431a05c13dfa88ae">gg::Application</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
